libloader.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/error.h>`

Go to the source code of this file.

## Macros

#define | GWEN_LIBLOADER_ERROR_COULD_NOT_CLOSE 3
#define | GWEN_LIBLOADER_ERROR_COULD_NOT_LOAD 1
#define | GWEN_LIBLOADER_ERROR_COULD_NOT_RESOLVE 4
#define | GWEN_LIBLOADER_ERROR_NOT_FOUND 5
#define | GWEN_LIBLOADER_ERROR_NOT_OPEN 2
#define | GWEN_LIBLOADER_ERROR_TYPE "LIBLOADER"
#define | GWENHYWFAR_LIBLOADER_H "$Id"

## Typedefs

typedef struct GWEN_LIBLOADER | GWEN_LIBLOADER

## Functions

GWENHYWFAR_API int | GWEN_LibLoader_CloseLibrary (GWEN_LIBLOADER *h)
GWENHYWFAR_API void | GWEN_LibLoader_free (GWEN_LIBLOADER *h)
GWENHYWFAR_API GWEN_LIBLOADER * | GWEN_LibLoader_new (void)
GWENHYWFAR_API int | GWEN_LibLoader_OpenLibrary (GWEN_LIBLOADER *h, const char *name)
GWENHYWFAR_API int | GWEN_LibLoader_OpenLibraryWithPath (GWEN_LIBLOADER *h, const char *path, const char *name)
GWENHYWFAR_API int | GWEN_LibLoader_Resolve (GWEN_LIBLOADER *h, const char *name, void **p)

## Macro Definition Documentation

## GWEN_LIBLOADER_ERROR_COULD_NOT_CLOSE

#define GWEN_LIBLOADER_ERROR_COULD_NOT_CLOSE 3

Definition at line 36 of file libloader.h.

## GWEN_LIBLOADER_ERROR_COULD_NOT_LOAD

#define GWEN_LIBLOADER_ERROR_COULD_NOT_LOAD 1

Definition at line 34 of file libloader.h.

## GWEN_LIBLOADER_ERROR_COULD_NOT_RESOLVE

#define GWEN_LIBLOADER_ERROR_COULD_NOT_RESOLVE 4

Definition at line 37 of file libloader.h.

## GWEN_LIBLOADER_ERROR_NOT_FOUND

#define GWEN_LIBLOADER_ERROR_NOT_FOUND 5

Definition at line 38 of file libloader.h.

## GWEN_LIBLOADER_ERROR_NOT_OPEN

#define GWEN_LIBLOADER_ERROR_NOT_OPEN 2

Definition at line 35 of file libloader.h.

## GWEN_LIBLOADER_ERROR_TYPE

#define GWEN_LIBLOADER_ERROR_TYPE "LIBLOADER"

Definition at line 33 of file libloader.h.

## GWENHYWFAR_LIBLOADER_H

#define GWENHYWFAR_LIBLOADER_H "$Id"

Definition at line 31 of file libloader.h.

## Typedef Documentation

## GWEN_LIBLOADER

typedef struct GWEN_LIBLOADER GWEN_LIBLOADER

Definition at line 60 of file libloader.h.

## Function Documentation

## GWEN_LibLoader_CloseLibrary()

GWENHYWFAR_API int GWEN_LibLoader_CloseLibrary | ( | GWEN_LIBLOADER * | h | ) |

References GWENHYWFAR_API.

## GWEN_LibLoader_free()

GWENHYWFAR_API void GWEN_LibLoader_free | ( | GWEN_LIBLOADER * | h | ) |

Frees the libloader. This does NOT automatically unload the library loaded using this loader ! But after freeing the loader you can not resolve more symbols. However, already resolved symbols remain accessible.

References GWENHYWFAR_API.

## GWEN_LibLoader_new()

GWENHYWFAR_API GWEN_LIBLOADER * GWEN_LibLoader_new | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_LibLoader_OpenLibrary()

GWENHYWFAR_API int GWEN_LibLoader_OpenLibrary | ( | GWEN_LIBLOADER * | h,
|  | const char * | name )

References GWENHYWFAR_API.

## GWEN_LibLoader_OpenLibraryWithPath()

GWENHYWFAR_API int GWEN_LibLoader_OpenLibraryWithPath | ( | GWEN_LIBLOADER * | h,
|  | const char * | path,
|  | const char * | name )

References GWENHYWFAR_API.

## GWEN_LibLoader_Resolve()

GWENHYWFAR_API int GWEN_LibLoader_Resolve | ( | GWEN_LIBLOADER * | h,
|  | const char * | name,
|  | void ** | p )